/// <reference types="node" />
/// <reference types="node" />
import EventEmitter from 'events';
import WS from 'ws';
declare class WebSocket extends EventEmitter {
    static readTimeout: number;
    static heartBeatTimeout: number;
    userId: string | undefined;
    accountId: string | undefined;
    accessToken: string | undefined;
    debug: boolean;
    webSocketURL: string;
    socket: WS | undefined;
    readTimer: NodeJS.Timer | undefined;
    heartBeatTimer: NodeJS.Timer | undefined;
    lastReadTimestamp: number;
    logger: {
        info: (p: any) => void;
        error: (p: any) => void;
        debug: (p: any) => void;
    };
    connectTimer: NodeJS.Timeout | undefined;
    ltpMap: {
        [key: string]: {};
    };
    constructor(options: {
        userId: string | undefined;
        accessToken: string | undefined;
        debug: boolean;
        webSocketURL: string | undefined;
    });
    setUserId(userId: string): void;
    setAccessToken(accessToken: string): void;
    connect(): void;
    subscribeOrderUpdates(): void;
    subscribe(scripList: string[]): void;
    disconnect(): void;
    triggerDisconnect(): void;
}
export default WebSocket;
